<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.online.*" %>
<%@ page import="com.jspsmart.upload.SmartUpload" %>
<%@ page import="com.jspsmart.upload.Request" %>
<%@ include file="/sessionInfo.jsp"%>
<%
    SmartUpload smartUpload = new SmartUpload();    
    smartUpload.initialize(pageContext);    
    smartUpload.upload();    
    Request requestSu = smartUpload.getRequest(); 

    //获取提交的参数
    String sType = SzConvert.toZeroStr(requestSu.getParameter("type"));
    String sPage = SzConvert.toZeroStr(requestSu.getParameter("page"));
    String sSearch = SzConvert.strWriteData(requestSu.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(requestSu.getParameter("PKEY"));
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="type" value="<%=sType%>"> 
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(requestSu.getParameter("OPERATOR"));

    OlMessageControl olMessageControl = new OlMessageControl();
	
    boolean flag = false;
    String sUrl = "index.jsp";
    String sMessage = "";

    flag = olMessageControl.control(smartUpload, session);
    
    sMessage = SzOut.getMessage();
    //2012-06-13
    smartUpload.closeAll();
    
    if (flag) {
        //out.println(SzPageHelp.jsAlert("操作成功"));
        //out.println(SzPageHelp.jsGoUrl(sUrl));
        out.println("<script language='JavaScript'>");
        out.println(" var win = window.opener; ");
        out.println(" win.location.reload(); ");        
        out.println(" window.close(); ");       
        out.println("</script>");
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
